#import "VNC.h"

@implementation VNCDisplayView

- (id)initWithFrame:(NSRect)frame
{
    if (self = [super initWithFrame:frame]) {
        _framebuffer = [[VNCFramebuffer alloc] initWithSize:frame.size];
    }

    return self;
}

- (void)dealloc
{
    [_framebuffer release];

    [super dealloc];
}

- (VNCFramebuffer *)framebuffer
{
    return _framebuffer;
}

- (void)drawRect:(NSRect)frameRect
{
    [_framebuffer update];
}

- (BOOL)acceptsFirstResponder
{
    return NO;
}

@end
